For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Subscription Status

Get Subscription Status

get

Returns the Subscription Status of subscriber from the Edge. The field “subscriber_status” can have two possible values “active” or “suspend”. When “active,” the subscriber is able to attach to the network. When “suspend,” the subscriber will be unable to attach. The “rat_4g” field reflects the status of the subscriber for 4G, while the “rat_5g” field indicates the status for 5G.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
edgeIpstring · enumRequired

The IP address of the edge

Possible values:
Responses
200

Successful Response

application/json
get/v1/edge/{edgeIp}/subscriberdatastatus
GET /api/v1/edge/{edgeIp}/subscriberdatastatus HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful Response

{
  "rat_4g": {
    "subscribers": [
      {
        "imsi": "315010006700015",
        "subscriber_status": "active"
      },
      {
        "imsi": "315010006700020",
        "subscriber_status": "suspend"
      }
    ]
  },
  "rat_5g": {
    "subscribers": [
      {
        "supi": "imsi-315010006700019",
        "subscriber_status": "active"
      },
      {
        "supi": "imsi-315010006700037",
        "subscriber_status": "suspend"
      }
    ]
  }
}

Last updated

Was this helpful?